# Class ProjectLibrary

java.lang.Object
org.gradle.plugins.ide.idea.model.ProjectLibrary

@Deprecated public class ProjectLibrary extends Object
Deprecated.
Will be removed in Gradle 10.
A project-level IDEA library.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ProjectLibrary()`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addToNode(Node parentNode, PathFactory pathFactory)`
  Deprecated.
  `boolean`
  `equals(Object obj)`
  Deprecated.
  `Set<File>`
  `getClasses()`
  Deprecated.
  A set of Jar files or directories containing compiled code.
  `Set<File>`
  `getCompilerClasspath()`
  Deprecated.
  A set of Jar files containing compiler classes.
  `Set<File>`
  `getJavadoc()`
  Deprecated.
  A set of Jar files or directories containing javadoc.
  `String`
  `getName()`
  Deprecated.
  The name of the library.
  `Set<File>`
  `getSources()`
  Deprecated.
  A set of directories containing sources.
  `String`
  `getType()`
  Deprecated.
  The type of the library.
  `int`
  `hashCode()`
  Deprecated.
  `void`
  `setClasses(Set<File> classes)`
  Deprecated.
  A set of Jar files or directories containing source code.
  `void`
  `setCompilerClasspath(Set<File> compilerClasspath)`
  Deprecated.
  `void`
  `setJavadoc(Set<File> javadoc)`
  Deprecated.
  `void`
  `setName(String name)`
  Deprecated.
  `void`
  `setSources(Set<File> sources)`
  Deprecated.
  `void`
  `setType(String type)`
  Deprecated.

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ProjectLibrary

    public ProjectLibrary()
    Deprecated.

- ## Method Details

  - ### getName

    public String getName()
    Deprecated.
    The name of the library.

  - ### setName

    public void setName(String name)
    Deprecated.

  - ### getType

    public String getType()
    Deprecated.
    The type of the library.

  - ### setType

    public void setType(String type)
    Deprecated.

  - ### getCompilerClasspath

    public Set<File> getCompilerClasspath()
    Deprecated.
    A set of Jar files containing compiler classes.

  - ### setCompilerClasspath

    public void setCompilerClasspath(Set<File> compilerClasspath)
    Deprecated.

  - ### getClasses

    public Set<File> getClasses()
    Deprecated.
    A set of Jar files or directories containing compiled code.

  - ### setClasses

    public void setClasses(Set<File> classes)
    Deprecated.
    A set of Jar files or directories containing source code.

  - ### getJavadoc

    public Set<File> getJavadoc()
    Deprecated.
    A set of Jar files or directories containing javadoc.

  - ### setJavadoc

    public void setJavadoc(Set<File> javadoc)
    Deprecated.

  - ### getSources

    public Set<File> getSources()
    Deprecated.
    A set of directories containing sources.

  - ### setSources

    public void setSources(Set<File> sources)
    Deprecated.

  - ### addToNode

    public void addToNode(Node parentNode, PathFactory pathFactory)
    Deprecated.

  - ### equals

    public boolean equals(Object obj)
    Deprecated.
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Deprecated.
    Overrides:
      `hashCode` in class `Object`